Module | Arguable
In: | optparse.rb

### Methods

extend_object new options options= order! parse! permute!

### Public Class methods

extend_object(obj)

[Source]

    # File optparse.rb, line 1835
        def self.extend_object(obj)
          super
          obj.instance_eval {@optparse = nil}
        end

new(*args)

[Source]

    # File optparse.rb, line 1839
        def initialize(*args)
          super
          @optparse = nil
        end

### Public Instance methods

options() {|@optparse| ...}

[Source]

    # File optparse.rb, line 1809
        def options
          @optparse ||= OptionParser.new
          @optparse.default_argv = self
          block_given? or return @optparse
          begin
            yield @optparse
          rescue ParseError
            @optparse.warn $!
            nil
          end
        end

options=(opt)

[Source]

    # File optparse.rb, line 1785
        def options=(opt)
          unless @optparse = opt
            class << self
              undef_method(:options)
              undef_method(:options=)
            end
          end
        end

order!(&blk)

[Source]

    # File optparse.rb, line 1828
        def order!(&blk) options.order!(self, &blk) end

parse!()

[Source]

    # File optparse.rb, line 1830
        def parse!() options.parse!(self) end

permute!()

[Source]

    # File optparse.rb, line 1829
        def permute!() options.permute!(self) end

[Validate]